Subject: coreutils on Solaris 10

From: Pieter Bowman <[email-masked]>
Date: Wed, 3 Nov 2010 09:35:19 -0600 (MDT)

Recently we put up a new Solaris 10 x86_64 server.  Soon after
installing this system, I noticed that some of the coreutils programs
were dumping core.  The ones which I noticed most are:

	cp
	mv
	touch

This applies to touch 8.6, as well as /opt/sfw/bin/touch 5.97.

Another department has a fully patched Solaris 10 SPARC system, which
is now exhibiting the same behavior, so this doesn't seem to be
limited to x86.

The problem appears to be happening when trying to set the times on
the new file.

I suspect it's an updated patch which Oracle has provided, which has
broken this.

Pieter